/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20180427 (64-bit version)(RM)
 * Copyright (c) 2000 - 2018 Intel Corporation
 * 
 * Disassembling to non-symbolic legacy ASL operators
 *
 * Disassembly of SSDT-14-PS2K.aml, Mon Aug 13 21:52:43 2018
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000254 (596)
 *     Revision         0x02
 *     Checksum         0xD7
 *     OEM ID           "hack"
 *     OEM Table ID     "PS2K"
 *     OEM Revision     0x00000000 (0)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20180427 (538444839)
 */
DefinitionBlock ("", "SSDT", 2, "hack", "PS2K", 0x00000000)
{
    /*
     * iASL Warning: There were 6 external control methods found during
     * disassembly, but only 5 were resolved (1 unresolved). Additional
     * ACPI tables may be required to properly disassemble the code. This
     * resulting disassembler output file may not compile because the
     * disassembler did not know how many arguments to assign to the
     * unresolved methods. Note: SSDTs can be dynamically loaded at
     * runtime and may or may not be available via the host OS.
     *
     * In addition, the -fe option can be used to specify a file containing
     * control method external declarations with the associated method
     * argument counts. Each line of the file must be of the form:
     *     External (<method pathname>, MethodObj, <argument count>)
     * Invocation:
     *     iasl -fe refs.txt -d dsdt.aml
     *
     * The following methods were unresolved and many not compile properly
     * because the disassembler had to guess at the number of arguments
     * required for each:
     */
    External (_SB_.ATKD, DeviceObj)    // (from opcode)
    External (_SB_.ATKD.IANE, MethodObj)    // 1 Arguments (from opcode)
    External (_SB_.ATKD.PWKB, BuffObj)    // (from opcode)
    External (_SB_.KBLV, FieldUnitObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC0_, DeviceObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC0_.ATKP, IntObj)    // (from opcode)
    External (_SB_.PCI0.LPCB.EC0_.ST9E, MethodObj)    // 3 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC0_.WRAM, MethodObj)    // 2 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC0_.XQ0E, MethodObj)    // 0 Arguments (from opcode)
    External (_SB_.PCI0.LPCB.EC0_.XQ0F, MethodObj)    // 0 Arguments (from opcode)
    External (ATKP, MethodObj)    // Warning: Unknown method, guessing 1 arguments
    External (KBLV, IntObj)    // (from opcode)

    Scope (_SB.PCI0.LPCB.EC0)
    {
        Method (_Q0E, 0, NotSerialized)  // _Qxx: EC Query
        {
            If (ATKP)
            {
                \_SB.ATKD.IANE (0x20)
            }

            XQ0E ()
        }

        Method (_Q0F, 0, NotSerialized)  // _Qxx: EC Query
        {
            If (ATKP)
            {
                \_SB.ATKD.IANE (0x10)
            }

            XQ0F ()
        }
    }

    Scope (_SB.ATKD)
    {
        Name (BOFF, Zero)
        Name (PWKB, Buffer (0x04)
        {
             0x00, 0x55, 0xAA, 0xFF                         
        })
        Method (SKBL, 1, NotSerialized)
        {
            If (Or (LEqual (Arg0, 0xED), LEqual (Arg0, 0xFD)))
            {
                If (And (LEqual (Arg0, 0xED), LEqual (BOFF, 0xEA)))
                {
                    Store (Zero, Local0)
                    Store (Arg0, BOFF)
                }
                ElseIf (And (LEqual (Arg0, 0xFD), LEqual (BOFF, 0xFA)))
                {
                    Store (Zero, Local0)
                    Store (Arg0, BOFF)
                }
                Else
                {
                    Return (BOFF)
                }
            }
            ElseIf (Or (LEqual (Arg0, 0xEA), LEqual (Arg0, 0xFA)))
            {
                Store (Arg0, BOFF)
            }
            Else
            {
                Store (And (Arg0, 0x7F), KBLV)
            }

            Store (0x0900, Local0)
            Add (Local0, 0xF0, Local0)
            \_SB.PCI0.LPCB.EC0.WRAM (Local0, KBLV)
            Store (DerefOf (Index (PWKB, KBLV)), Local0)
            \_SB.PCI0.LPCB.EC0.ST9E (0x1F, 0xFF, Local0)
            Return (Local0)
        }

        Method (GKBL, 1, NotSerialized)
        {
            If (LEqual (Arg0, 0xFF))
            {
                Return (BOFF)
            }

            Return (KBLV)
        }
    }
}

