/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20180427 (64-bit version)(RM)
 * Copyright (c) 2000 - 2018 Intel Corporation
 * 
 * Disassembling to non-symbolic legacy ASL operators
 *
 * Disassembly of SSDT-7-ptswak.aml, Mon Aug 13 21:52:43 2018
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000001AD (429)
 *     Revision         0x02
 *     Checksum         0x85
 *     OEM ID           "hack"
 *     OEM Table ID     "ptswak"
 *     OEM Revision     0x00000000 (0)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20180427 (538444839)
 */
DefinitionBlock ("", "SSDT", 2, "hack", "ptswak", 0x00000000)
{
    External (_SB_.PCI0.XHC_.PMEE, FieldUnitObj)    // (from opcode)
    External (_SI_._SST, MethodObj)    // 1 Arguments (from opcode)
    External (RMCF.RMOF, MethodObj)    // 0 Arguments (from opcode)
    External (RMCF.RMON, MethodObj)    // 0 Arguments (from opcode)
    External (RMCF.SHUT, IntObj)    // (from opcode)
    External (RMCF.SSTF, IntObj)    // (from opcode)
    External (RMCF.XPEE, IntObj)    // (from opcode)
    External (ZPTS, MethodObj)    // 1 Arguments (from opcode)
    External (ZWAK, MethodObj)    // 1 Arguments (from opcode)

    Method (_PTS, 1, NotSerialized)  // _PTS: Prepare To Sleep
    {
        If (LEqual (0x05, Arg0))
        {
            If (CondRefOf (\RMCF.SHUT))
            {
                If (\RMCF.SHUT)
                {
                    Return (Zero)
                }
            }
        }

        If (CondRefOf (\RMCF.RMON))
        {
            \RMCF.RMON ()
        }

        If (LNotEqual (Arg0, 0x05))
        {
            ZPTS (Arg0)
        }

        If (LEqual (0x05, Arg0))
        {
            If (CondRefOf (\RMCF.XPEE))
            {
                If (LAnd (\RMCF.XPEE, CondRefOf (\_SB.PCI0.XHC.PMEE)))
                {
                    Store (Zero, \_SB.PCI0.XHC.PMEE)
                }
            }
        }
    }

    Method (_WAK, 1, NotSerialized)  // _WAK: Wake
    {
        If (LOr (LLess (Arg0, One), LGreater (Arg0, 0x05)))
        {
            Store (0x03, Arg0)
        }

        Store (ZWAK (Arg0), Local0)
        If (CondRefOf (\RMCF.RMOF))
        {
            \RMCF.RMOF ()
        }

        If (CondRefOf (\RMCF.SSTF))
        {
            If (\RMCF.SSTF)
            {
                If (LAnd (LEqual (0x03, Arg0), CondRefOf (\_SI._SST)))
                {
                    \_SI._SST (One)
                }
            }
        }

        Return (Local0)
    }
}

